Skip to main content
GET
/
api
/
v1
/
books
/
{bookId}
/
pages
/
{pageNumber}
Get book page image
curl --request GET \
  --url https://demo.komga.org/api/v1/books/{bookId}/pages/{pageNumber} \
  --header 'Authorization: Basic <encoded-value>'
{
  "violations": [
    {
      "fieldName": "<string>",
      "message": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

Accept
object[]

Some very limited server driven content negotiation is handled. If a book is a PDF book, and the Accept header contains 'application/pdf' as a more specific type than other 'image/' types, a raw PDF page will be returned.

Path Parameters

bookId
string
required
pageNumber
integer<int32>
required

Query Parameters

convert
enum<string>

Convert the image to the provided format.

Available options:
jpeg,
png
zero_based
boolean
default:false

If set to true, pages will start at index 0. If set to false, pages will start at index 1.

contentNegotiation
boolean
default:true

Response

Bad Request

violations
object[]
required